Subject: bug#53506: closed (Re: bug#53506: guix-packages-base.drv leads to segfault on i686-linux)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 18 Jul 2022 20:13:02 +0000

Your bug report

#53506: guix-packages-base.drv leads to segfault on i686-linux

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53506: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=53506
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#53506: guix-packages-base.drv leads to segfault on i686-linux
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Date: Mon, 18 Jul 2022 22:12:50 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Ludovic Courtès <[email-masked]> skribis:

> Yes.  I just tried ‘guix pull -s i686-linux’ for commit
> e641d707e1ec8de2bfc658dcd1757360300aa509 and it passed!
>
> This is certainly due to the reduced heap usage in Guile 3.0.8.
> However, while building
> /gnu/store/87mqnqwxqbcidbx5bpyrq9xpxmhw1035-guix-packages-base.drv we’re
> still peaking at 2.6G resident—only 7% less than before (the packages
> files have probably grown in the meantime), so we cannot claim victory
> yet.

I’ve tried again and it went fine:

--8<---------------cut here---------------start------------->8---
$ guix pull -s i686-linux -p /tmp/i686-guix
Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
Authenticating channel 'guix', commits 9edb3f6 to 8f0d45c (7 new commits)...
Building from this channel:
  guix      https://git.savannah.gnu.org/git/guix.git   8f0d45c
 ⋮
building /gnu/store/zd1i483p23hdz73hrqs63lgcdclk4aaq-guix-packages.drv...
 ⋮
hint: After setting `PATH', run `hash guix' to make sure your shell refers to
`/tmp/i686-guix/bin/guix'.

$ /tmp/i686-guix/bin/guix describe
Generation 1    Jul 18 2022 22:06:47    (current)
  guix 8f0d45c
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 8f0d45ccac3f6cee69eba8de5e4ae5e5555f1a3d
$ /tmp/i686-guix/bin/guix repl -q
GNU Guile 3.0.8
Copyright (C) 1995-2021 Free Software Foundation, Inc.

Guile comes with ABSOLUTELY NO WARRANTY; for details type `,show w'.
This program is free software, and you are welcome to redistribute it
under certain conditions; type `,show c' for details.

Enter `,help' for help.
scheme@(guix-user)> %host-type
$1 = "i686-unknown-linux-gnu"
--8<---------------cut here---------------end--------------->8---

<https://ci.guix.gnu.org/jobset/guix> and
<https://ci.guix.gnu.org/search?query=spec%3Aguix+system%3Ai686-linux>
seem to agree.

So, closing this issue!

Ludo’.

Subject: guix-packages-base.drv leads to segfault on i686-linux
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Date: Mon, 24 Jan 2022 17:56:39 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

This command fails:

  guix pull -s i686-linux \
    --commit=13b905bf28ec6309043bd61c5a92744b13352021 \
    -p /tmp/test

‘guix-packages-base.drv’ fails to build due to a Guile segfault (!):

--8<---------------cut here---------------start------------->8---
[653/656] compiling...	 99.1% of 328 files[654/656] compiling...	 99.4% of 328 files[655/656] compiling...	 99.7% of 328 filesGC Warning: Failed to expand heap by 8388608 bytes
GC Warning: Failed to expand heap by 8388608 bytes
GC Warning: Failed to expand heap by 8388608 bytes

[...]

GC Warning: Failed to expand heap by 8388608 bytes
GC Warning: Failed to expand heap by 8388608 bytes
builder for `/gnu/store/cnrmdbcyy8r9bs2gl2kgpnyplivrzf5c-guix-packages-base.drv' failed due to signal 11 (Segmentation fault)
@ build-failed /gnu/store/cnrmdbcyy8r9bs2gl2kgpnyplivrzf5c-guix-packages-base.drv - 1 builder for `/gnu/store/cnrmdbcyy8r9bs2gl2kgpnyplivrzf5c-guix-packages-base.drv' failed due to signal 11 (Segmentation fault)
--8<---------------cut here---------------end--------------->8---

I wonder when it started failing, but it may have been pre-core-updates
merge.

Ricardo, do you have a known-good commit?

<https://ci.guix.gnu.org/jobset/guix?border-high=53879> suggests it
passes 25% of the time.

Thanks,
Ludo’.